.\"	$NetBSD: hpcboot.8,v 1.4 2004/04/04 10:31:33 wiz Exp $
.\"
.\" Copyright (c) 2004 Valeriy E. Ushakov
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Neither the name of the author nor the names of any
.\"    contributors may be used to endorse or promote products derived
.\"    from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd April 3, 2004
.Dt HPCBOOT 8
.Os
.Sh NAME
.Nm hpcboot
.Nd load and boot kernel from Windows\ CE
.Sh SYNOPSIS
.Nm hpcboot.exe
.Sh DESCRIPTION
.Nm
is a program that runs on Windows\ CE.
It loads and executes the specified
.Nx
kernel.
.Nm
supports hpcarm, hpcmips, and hpcsh ports.
.Pp
Click on the
.Dq Boot
button to start the boot process with selected options.
Click on the
.Dq Cancel
button to exit
.Nm .
.\"
.Ss Do Ss Kernel Dc Ss Tab
.\"
On this tab you can select the kernel to boot and options to pass to
the kernel.
.Bl -tag -width "xx"
.It Directory
In this combobox you specify the
.Dq current
directory.
The kernel and miniroot image pathnames are taken to be relative to
this directory.
.Pp
.Nm
can load kernel and miniroot from FAT and UFS filesystems, and via
HTTP.
.\" FIXME: describe the syntax for each of the above
.It Kernel
In this text field you specify the name of the kernel to load.
Kernels compressed with
.Xr gzip 1
are supported.
.It Model
Select your H/PC model in this combobox.
.It Root File System
This group of controls lets you specify the desired root file system
type.
You can select
.Xr wd 4 ,
.Xr sd 4 ,
.Xr md 4 ,
and NFS root.
.Pp
If you select
.Xr md 4
memory disk root file system, you should specify the path name of the
file system image in the text field below.
Miniroot images compressed with
.Xr gzip 1
are supported.
.It Kernel Boot Flags
This group of controls is used to pass boot flags to the kernel.
.El
.\"
.Ss Do Ss Option Dc Ss Tab
.\"
On this tab you can specify miscellaneous options that mostly control the
.Nm
program itself.
.Bl -tag -width "xx"
.It Auto Boot
If this option is selected
.Nm
will automatically boot
.Nx
after the specified timeout.
.It Reverse Video
Tells kernel if it should use the framebuffer in reverse video mode.
.It Pause Before Boot
If selected, a warning dialog will be presented
.Em before
anything is done, right after the
.Dq Boot
button is pressed.
.It Load Debug Info
This option currently does nothing.
.It Safety Message
If selected, a warning dialog will be presented
.Em after
the kernel has been loaded and prepared to be started.
This will be your last chance to cancel the boot.
.It Extra Kernel Options
In this text field you can specify additional options to pass to the
kernel.
.El
.\"
.Ss Do Ss Console Dc Ss Tab
.\"
This tab gets its name from the big text area that
.Nm
uses as the
.Dq console
to report its progress.
.Bl -tag -width "xx"
.It Save To File
If checked, the progress log will be sent to the specified file instead.
.It Dq Checkboxes Anonymous
The row of 8 checkboxes controls debugging options for
.Nm
itself.
They control the bits of an internal variable, the leftmost checkbox
being the 7th bit.
.It Dq Buttons Anonymous
The buttons
.Dq a
to
.Dq d
control 4
.Dq hooks
a developer might want to use during
.Nm
development.
.El
.Sh SEE ALSO
.Xr kloader 4 ,
.Xr boot 8
.Sh HISTORY
The
.Nm
utility first appeared in
.Nx 1.6 .
.Sh BUGS
.Nm
reads the entire kernel image at once,
and requires enough free area on the main memory.
